<?php


return  
    [
        'model' => [
            'model' => \Bixo\Shop\Models\ServiceKit::class,
            'table' => 'bixo_shop_service_kits',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['name',  'description',  'price',  'brand',  'car_models',  'stock',  'images',  'user_id'],
            'translatables' => [],
            'upload_folder' => 'shop/service_kit',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "name", 
                "type" => "text", 
                "label" => 'shop::service_kit.label.name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "description", 
                "type" => "text", 
                "label" => 'shop::service_kit.label.description', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "price", 
                "type" => "text", 
                "label" => 'shop::service_kit.label.price', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "brand", 
                "type" => "text", 
                "label" => 'shop::service_kit.label.brand', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "car_models", 
                "type" => "text", 
                "label" => 'shop::service_kit.label.car_models', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "stock", 
                "type" => "text", 
                "label" => 'shop::service_kit.label.stock', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "images", 
                "type" => "text", 
                "label" => 'shop::service_kit.label.images', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'name',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'shop::service_kit.label.name',
                "placeholder" => 'shop::service_kit.placeholder.name',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'description',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'shop::service_kit.label.description',
                "placeholder" => 'shop::service_kit.placeholder.description',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'price',
                "element" => 'package::package.formcontrols.INT',
                "type" => 'package::package.formcontrols.INT',
                "label" => 'shop::service_kit.label.price',
                "placeholder" => 'shop::service_kit.placeholder.price',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'brand',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'shop::service_kit.label.brand',
                "placeholder" => 'shop::service_kit.placeholder.brand',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'car_models',
                "element" => 'package::package.formcontrols.TEXT',
                "type" => 'package::package.formcontrols.TEXT',
                "label" => 'shop::service_kit.label.car_models',
                "placeholder" => 'shop::service_kit.placeholder.car_models',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'stock',
                "element" => 'package::package.formcontrols.INT',
                "type" => 'package::package.formcontrols.INT',
                "label" => 'shop::service_kit.label.stock',
                "placeholder" => 'shop::service_kit.placeholder.stock',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'images',
                "element" => 'package::package.formcontrols.TEXT',
                "type" => 'package::package.formcontrols.TEXT',
                "label" => 'shop::service_kit.label.images',
                "placeholder" => 'shop::service_kit.placeholder.images',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'shop/service_kit/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'shop/service_kit/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'shop/service_kit',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'shop/service_kit',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'shop/service_kit',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'shop/service_kit',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'shop::service_kit.label.created_at',
            'name' => 'shop::service_kit.label.name',
            'status' => 'shop::service_kit.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "shop::service_kit.groups.main",
                'group' => "main.main",
                'title' => "shop::service_kit.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "shop::service_kit.groups.details",
                'group' => "main.details",
                'title' => "shop::service_kit.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "shop::service_kit.groups.images",
                'group' => "main.images",
                'title' => "shop::service_kit.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "shop::service_kit.groups.settings",
                'group' => "main.settings",
                'title' => "shop::service_kit.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Bixo',
            'package' => 'Shop',
            'module' => 'ServiceKit',
        ],

        
        
    ];
