<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBixoShopServiceKitsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: bixo_shop_service_kits
         */
        Schema::create('bixo_shop_service_kits', function ($table) {
            $table->increments('id');
            $table->package::package.fieldtype.VARCHAR('name')->nullable();
            $table->package::package.fieldtype.VARCHAR('description')->nullable();
            $table->package::package.fieldtype.INT('price')->nullable();
            $table->package::package.fieldtype.VARCHAR('brand')->nullable();
            $table->package::package.fieldtype.TEXT('car_models')->nullable();
            $table->package::package.fieldtype.INT('stock')->nullable();
            $table->package::package.fieldtype.TEXT('images')->nullable();
            $table->package::package.fieldtype.INT('user_id')->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('bixo_shop_service_kits');
    }
}
