<?php

namespace Bixo\Shop\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class ServiceKitTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('bixo_shop_service_kits')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'bixo.shop.service_kit.view',
                'name'      => 'View ServiceKit',
            ],
            [
                'slug'      => 'bixo.shop.service_kit.create',
                'name'      => 'Create ServiceKit',
            ],
            [
                'slug'      => 'bixo.shop.service_kit.edit',
                'name'      => 'Update ServiceKit',
            ],
            [
                'slug'      => 'bixo.shop.service_kit.delete',
                'name'      => 'Delete ServiceKit',
            ],
            
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/shop/service_kit',
                'name'        => 'ServiceKit',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/shop/service_kit',
                'name'        => 'ServiceKit',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'service_kit',
                'name'        => 'ServiceKit',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Shop',
                'module'    => 'ServiceKit',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'bixo.shop.service_kit.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
