<?php

namespace Bixo\Shop\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class SparePartTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('bixo_shop_spare_parts')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'bixo.shop.spare_part.view',
                'name'      => 'View SparePart',
            ],
            [
                'slug'      => 'bixo.shop.spare_part.create',
                'name'      => 'Create SparePart',
            ],
            [
                'slug'      => 'bixo.shop.spare_part.edit',
                'name'      => 'Update SparePart',
            ],
            [
                'slug'      => 'bixo.shop.spare_part.delete',
                'name'      => 'Delete SparePart',
            ],
            
                        [
                'slug'      => 'bixo.shop.spare_part.verify',
                'name'      => 'Verify SparePart',
            ],
            [
                'slug'      => 'bixo.shop.spare_part.approve',
                'name'      => 'Approve SparePart',
            ],
            [
                'slug'      => 'bixo.shop.spare_part.publish',
                'name'      => 'Publish SparePart',
            ],
            [
                'slug'      => 'bixo.shop.spare_part.unpublish',
                'name'      => 'Unpublish SparePart',
            ],
            [
                'slug'      => 'bixo.shop.spare_part.cancel',
                'name'      => 'Cancel SparePart',
            ],
            [
                'slug'      => 'bixo.shop.spare_part.archive',
                'name'      => 'Archive SparePart',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/shop/spare_part',
                'name'        => 'SparePart',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/shop/spare_part',
                'name'        => 'SparePart',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'spare_part',
                'name'        => 'SparePart',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Shop',
                'module'    => 'SparePart',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'bixo.shop.spare_part.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
