<?php

namespace Bixo\Shop\Actions;

use Illuminate\Support\Carbon;
use Illuminate\Support\Str;
use Litepie\Actions\Concerns\AsAction;
use Bixo\Shop\Models\Accessory;


class AccessoryAction
{
    use AsAction;

    protected $model;
    protected $namespace = 'bixo.shop.accessory';
    protected $eventClass = \Bixo\Shop\Events\AccessoryAction::class;
    protected $action;
    protected $function;
    protected $request;

    public function handle(string $action, Accessory $accessory, array $request = [])
    {
        $this->action = $action;
        $this->request = $request;
        $this->model = $accessory;
        $this->function = Str::camel($action);
        $this->executeAction();
        return $this->model;

    }


    public function store(Accessory $accessory, array $request)
    {
        $attributes = $request;
        $attributes['user_id'] = user_id();
        $attributes['user_type'] = user_type();
        $accessory = $accessory->create($attributes);
        return $accessory;
    }

    public function update(Accessory $accessory, array $request)
    {
        $attributes = $request;
        $accessory->update($attributes);
        return $accessory;
    }

    public function destroy(Accessory $accessory, array $request)
    {
        $accessory->delete();
        return $accessory;
    }

    public function copy(Accessory $accessory, array $request)
    {
        $count = $request['count'] ?: 1;

        if ($count == 1) {
            $accessory = $accessory->replicate();
            $accessory->created_at = Carbon::now();
            $accessory->save();
            return $accessory;
        }

        for ($i = 1; $i <= $count; $i++) {
            $new = $accessory->replicate();
            $new->created_at = Carbon::now();
            $new->save();
        }

        return $accessory;
    }


}
