<?php

namespace Bixo\Shop\Http\Controllers;

use App\Http\Controllers\Controller as BaseController;
use Exception;
use Bixo\Shop\Http\Requests\SparePartActionsRequest;
use Bixo\Shop\Actions\SparePartActions;

/**
 * Admin web controller class.
 */
class SparePartActionsController extends BaseController
{

    /**
     * Action controller function for spare_part.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(SparePartActionsRequest $request, $action)
    {
        try {
            $spare_part = SparePartActions::run($request, $action);
            return $this->response->message(trans('messages.success.updated', ['Module' => trans('shop::spare_part.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('shop/spare_part/' . $action))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('shop/spare_part/' . $action))
                ->redirect();
        }
    }
}
