<?php

namespace Bixo\Shop\Http\Controllers;

use App\Http\Controllers\ActionController as BaseController;
use Exception;
use Bixo\Shop\Actions\SparePartReport;
use Bixo\Shop\Http\Requests\SparePartReportRequest;

/**
 * Admin web controller class.
 */
class SparePartReportController extends BaseController
{
    /**
     * Action controller function for spare_part.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(SparePartReportRequest $request, $report)
    {
        try {
        
            $this->model = app(SparePart::class);
            $data = SparePartReport::run($request, $report);

            return $this->response->message(trans('messages.success.updated', ['Module' => trans('shop::spare_part.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('shop/spare_part/' . $report))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('shop/spare_part/' . $report))
                ->redirect();
        }
    }
}
