<?php

namespace Bixo\Shop\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind ServiceKit policy
        \Bixo\Shop\Models\ServiceKit::class 
        => \Bixo\Shop\Policies\ServiceKitPolicy::class,// Bind Accessory policy
        \Bixo\Shop\Models\Accessory::class 
        => \Bixo\Shop\Policies\AccessoryPolicy::class,// Bind SparePart policy
        \Bixo\Shop\Models\SparePart::class 
        => \Bixo\Shop\Policies\SparePartPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
