<?php

namespace Bixo\Shop\Providers;

use Illuminate\Foundation\Support\Providers\EventServiceProvider as ServiceProvider;
use Bixo\Shop\Events\ShopAction;
use Bixo\Shop\Events\ShopWorkflow;
use Bixo\Shop\Listeners\ShopAction as ShopActionListener;
use Bixo\Shop\Listeners\ShopWorkflow as ShopWorkflowListener;


class EventServiceProvider extends ServiceProvider
{
    /**
     * The event listener mappings for the application.
     *
     * @var array
     */
    protected $listen = [
    
        ShopAction::class => [
            ShopActionListener::class,
        ],
        ShopWorkflow::class => [
            ShopWorkflowListener::class,
        ],
    ];

    /**
     * Register any other events for your application.
     *
     * @param \Illuminate\Contracts\Events\Dispatcher $events
     *
     * @return void
     */
    public function boot()
    {
        parent::boot();

        //
    }
}
